## javax.servlet.http
Interface HttpSessionActivationListener

All Superinterfaces:
  EventListener

All Known Implementing Classes:
  TagListener, TestListener

    public interface HttpSessionActivationListener

extends EventListener

Objects that are bound to a session may listen to container events notifying them that sessions will be passivated and that session will be activated. A container that migrates session between VMs or persists sessions is required to notify all attributes bound to sessions implementing HttpSessionActivationListener.

Since:
  2.3

Method Summary
`void` `sessionDidActivate(HttpSessionEvent se)` Notification that the session has just been activated.
`void` `sessionWillPassivate(HttpSessionEvent se)` Notification that the session is about to be passivated.

Method Detail

### sessionWillPassivate

    void sessionWillPassivate(HttpSessionEvent se)

  Notification that the session is about to be passivated.

### sessionDidActivate

    void sessionDidActivate(HttpSessionEvent se)

  Notification that the session has just been activated.

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.